Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.calendar
Class MeetingRequest

    java.lang.Object
      |
      +--com.compoze.calendar.MeetingRequest

All Implemented Interfaces:
  java.io.Serializable

public class MeetingRequest
extends java.lang.Object
implements java.io.Serializable

This class represents a meeting request. A meeting can be created for a particular appointment. This class provides a way to alert recipients of the meeting.

See Also:
  `Appointment.createMeetingRequest()`, Serialized Form

Method Summary
`java.lang.String` | `getBody()` Gets the body of the meeting request messages sent.
`Recipients` | `getRecipients()` Gets the collection of recipients.
`void` | `send()` Sends the meeting request using the SMTP mail server designated in `calendar.properties`.
`void` | `send(java.lang.String sMailServer)` Sends the meeting request.
`void` | `setBody(java.lang.String sBody)` Sets the body of the meeting request messages sent.
`void` | `setDefaultBody()` Sets the message body to the default.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setDefaultBody

    public void setDefaultBody()

  Sets the message body to the default. This value is the text file set in `calendar.properties` with `meeting_request.body`.

### getBody

    public java.lang.String getBody()

  Gets the body of the meeting request messages sent. This value defaults to the text file set in `calendar.properties`.
  Returns:
    the body of the meeting request message or `null` if not set

### setBody

    public void setBody(java.lang.String sBody)

  Sets the body of the meeting request messages sent.
  Parameters:
    `sBody` - the body of the meeting request message

### getRecipients

    public Recipients getRecipients()

  Gets the collection of recipients.
  Returns:
    the recipients

### send

    public void send()

  Sends the meeting request using the SMTP mail server designated in `calendar.properties`.

### send

    public void send(java.lang.String sMailServer)

  Sends the meeting request.
  Parameters:
    `sMailServer` - the name or IP address of the SMTP mail server to use (may not be `null` or empty)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.